Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hwpf.model.types
Class LVLFAbstractType

    java.lang.Object
      org.apache.poi.hwpf.model.types.LVLFAbstractType

    public abstract class LVLFAbstractType

extends java.lang.Object

The LVLF structure contains formatting properties for an individual level in a list.

Class and fields descriptions are quoted from Microsoft Office Word 97-2007 Binary File Format and [MS-DOC] - v20110608 Word (.doc) Binary File Format

NOTE: This source is automatically generated please do not modify this file. Either subclass or remove the record in src/types/definitions.

This class is internal. It content or properties may change without notice due to changes in our knowledge of internal Microsoft Word binary structures.

Author:
  Sergey Vladimirov; according to Microsoft Office Word 97-2007 Binary File Format Specification [*.doc] and [MS-DOC] - v20110608 Word (.doc) Binary File Format

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`short` | `getCbGrpprlChpx()` An unsigned integer that specifies the size, in bytes, of the grpprlChpx in the LVL that contains this LVLF.
`short` | `getCbGrpprlPapx()` An unsigned integer that specifies the size, in bytes, of the grpprlPapx in the LVL that contains this LVLF.
`int` | `getDxaIndentSav()` If fIndentSav is nonzero, this is a signed integer that specifies the size, in twips, of the indent that needs to be removed when the numbering is removed.
`Grfhic` | `getGrfhic()` A grfhic that specifies the HTML incompatibilities of the level..
`short` | `getIlvlRestartLim()` An unsigned integer that specifies the first (most-significant) zero-based level after which the number sequence of this level does not restart.
`byte` | `getInfo()` Get the info field for the LVLF record.
`int` | `getIStartAt()` A signed integer that specifies the beginning number for the number sequence belonging to this level.
`byte` | `getIxchFollow()` An unsigned integer that specifies the character that follows the number text.
`byte` | `getJc()` An unsigned integer that specifies the justification of this level
`byte` | `getNfc()` An MSONFC, as specified in [MS-OSHARED] section 2.2.1.3, that specifies the format of the level numbers that replace the placeholders for this level in the xst fields of the LVLs in this list.
`byte[]` | `getRgbxchNums()` An array of 8-bit integers.
`static int` | `getSize()` Size of record
`int` | `getUnused2()` This field MUST be ignored.
`int` | `hashCode()`
`boolean` | `isFConverted()` A bit that specifies whether the nfc of this LVLF structure was previously a temporary value used for bidirectional compatibility that was converted into a standard MSONFC
`boolean` | `isFIndentSav()` A bit that specifies whether the level indented the text it was applied to and that the indent needs to be removed when numbering is removed.
`boolean` | `isFLegal()` A bit that specifies whether this level overrides the nfc of all inherited level numbers.
`boolean` | `isFNoRestart()` A bit that specifies whether the number sequence of the level does not restart after a level is encountered that is more significant than the level to which this LVLF corresponds
`boolean` | `isFTentative()` A bit that specifies whether the format of the level is tentative
`boolean` | `isUnused1()` Deprecated. This field should not be used according to specification
`byte[]` | `serialize()`
`void` | `serialize(byte[] data, int offset)`
`void` | `setCbGrpprlChpx(short field_8_cbGrpprlChpx)` An unsigned integer that specifies the size, in bytes, of the grpprlChpx in the LVL that contains this LVLF.
`void` | `setCbGrpprlPapx(short field_9_cbGrpprlPapx)` An unsigned integer that specifies the size, in bytes, of the grpprlPapx in the LVL that contains this LVLF.
`void` | `setDxaIndentSav(int field_6_dxaIndentSav)` If fIndentSav is nonzero, this is a signed integer that specifies the size, in twips, of the indent that needs to be removed when the numbering is removed.
`void` | `setFConverted(boolean value)` Sets the fConverted field value.
`void` | `setFIndentSav(boolean value)` Sets the fIndentSav field value.
`void` | `setFLegal(boolean value)` Sets the fLegal field value.
`void` | `setFNoRestart(boolean value)` Sets the fNoRestart field value.
`void` | `setFTentative(boolean value)` Sets the fTentative field value.
`void` | `setGrfhic(Grfhic field_11_grfhic)` A grfhic that specifies the HTML incompatibilities of the level..
`void` | `setIlvlRestartLim(short field_10_ilvlRestartLim)` An unsigned integer that specifies the first (most-significant) zero-based level after which the number sequence of this level does not restart.
`void` | `setInfo(byte field_3_info)` Set the info field for the LVLF record.
`void` | `setIStartAt(int field_1_iStartAt)` A signed integer that specifies the beginning number for the number sequence belonging to this level.
`void` | `setIxchFollow(byte field_5_ixchFollow)` An unsigned integer that specifies the character that follows the number text.
`void` | `setJc(byte value)` Sets the jc field value.
`void` | `setNfc(byte field_2_nfc)` An MSONFC, as specified in [MS-OSHARED] section 2.2.1.3, that specifies the format of the level numbers that replace the placeholders for this level in the xst fields of the LVLs in this list.
`void` | `setRgbxchNums(byte[] field_4_rgbxchNums)` An array of 8-bit integers.
`void` | `setUnused1(boolean value)` Sets the unused1 field value.
`void` | `setUnused2(int field_7_unused2)` This field MUST be ignored.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### serialize

    public void serialize(byte[] data,
                          int offset)

### serialize

    public byte[] serialize()

### getSize

    public static int getSize()

  Size of record

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getIStartAt

    public int getIStartAt()

  A signed integer that specifies the beginning number for the number sequence belonging to this level. This value MUST be less than or equal to 0x7FFF and MUST be greater than or equal to zero. If this level does not have a number sequence (see nfc), this MUST be ignored.

### setIStartAt

    public void setIStartAt(int field_1_iStartAt)

  A signed integer that specifies the beginning number for the number sequence belonging to this level. This value MUST be less than or equal to 0x7FFF and MUST be greater than or equal to zero. If this level does not have a number sequence (see nfc), this MUST be ignored.

### getNfc

    public byte getNfc()

  An MSONFC, as specified in [MS-OSHARED] section 2.2.1.3, that specifies the format of the level numbers that replace the placeholders for this level in the xst fields of the LVLs in this list. This value MUST not be equal to 0x08, 0x09, 0x0F, or 0x13. If this is equal to 0xFF or 0x17, this level does not have a number sequence and therefore has no number formatting. If this is equal to 0x17, the level uses bullets.

### setNfc

    public void setNfc(byte field_2_nfc)

  An MSONFC, as specified in [MS-OSHARED] section 2.2.1.3, that specifies the format of the level numbers that replace the placeholders for this level in the xst fields of the LVLs in this list. This value MUST not be equal to 0x08, 0x09, 0x0F, or 0x13. If this is equal to 0xFF or 0x17, this level does not have a number sequence and therefore has no number formatting. If this is equal to 0x17, the level uses bullets.

### getInfo

    public byte getInfo()

  Get the info field for the LVLF record.

### setInfo

    public void setInfo(byte field_3_info)

  Set the info field for the LVLF record.

### getRgbxchNums

    public byte[] getRgbxchNums()

  An array of 8-bit integers. Each integer specifies a one-based character offset to a level placeholder in the xst.rgtchar of the LVL that contains this LVLF. This array is zero-terminated, unless it is full. The count of elements in this array, before to the first terminating zero, MUST be less than or equal to the one-based level of the list to which this LVL corresponds. The integers in this array, before the first terminating zero, MUST be in ascending order, and MUST be unique.

### setRgbxchNums

    public void setRgbxchNums(byte[] field_4_rgbxchNums)

  An array of 8-bit integers. Each integer specifies a one-based character offset to a level placeholder in the xst.rgtchar of the LVL that contains this LVLF. This array is zero-terminated, unless it is full. The count of elements in this array, before to the first terminating zero, MUST be less than or equal to the one-based level of the list to which this LVL corresponds. The integers in this array, before the first terminating zero, MUST be in ascending order, and MUST be unique.

### getIxchFollow

    public byte getIxchFollow()

  An unsigned integer that specifies the character that follows the number text.

### setIxchFollow

    public void setIxchFollow(byte field_5_ixchFollow)

  An unsigned integer that specifies the character that follows the number text.

### getDxaIndentSav

    public int getDxaIndentSav()

  If fIndentSav is nonzero, this is a signed integer that specifies the size, in twips, of the indent that needs to be removed when the numbering is removed. This MUST be less than or equal to 0x00007BC0 or greater than or equal to 0xFFFF8440. If fIndentSav is zero, this MUST be ignored.

### setDxaIndentSav

    public void setDxaIndentSav(int field_6_dxaIndentSav)

  If fIndentSav is nonzero, this is a signed integer that specifies the size, in twips, of the indent that needs to be removed when the numbering is removed. This MUST be less than or equal to 0x00007BC0 or greater than or equal to 0xFFFF8440. If fIndentSav is zero, this MUST be ignored.

### getUnused2

    public int getUnused2()

  This field MUST be ignored.

### setUnused2

    public void setUnused2(int field_7_unused2)

  This field MUST be ignored.

### getCbGrpprlChpx

    public short getCbGrpprlChpx()

  An unsigned integer that specifies the size, in bytes, of the grpprlChpx in the LVL that contains this LVLF.

### setCbGrpprlChpx

    public void setCbGrpprlChpx(short field_8_cbGrpprlChpx)

  An unsigned integer that specifies the size, in bytes, of the grpprlChpx in the LVL that contains this LVLF.

### getCbGrpprlPapx

    public short getCbGrpprlPapx()

  An unsigned integer that specifies the size, in bytes, of the grpprlPapx in the LVL that contains this LVLF.

### setCbGrpprlPapx

    public void setCbGrpprlPapx(short field_9_cbGrpprlPapx)

  An unsigned integer that specifies the size, in bytes, of the grpprlPapx in the LVL that contains this LVLF.

### getIlvlRestartLim

    public short getIlvlRestartLim()

  An unsigned integer that specifies the first (most-significant) zero-based level after which the number sequence of this level does not restart. The number sequence of this level does restart after any level that is more significant than the specified level. This MUST be less than or equal to the zero-based level of the list to which this LVLF corresponds. If fNoRestart is zero, this MUST be ignored. If this level does not have a number sequence (see nfc), this MUST be ignored.

### setIlvlRestartLim

    public void setIlvlRestartLim(short field_10_ilvlRestartLim)

  An unsigned integer that specifies the first (most-significant) zero-based level after which the number sequence of this level does not restart. The number sequence of this level does restart after any level that is more significant than the specified level. This MUST be less than or equal to the zero-based level of the list to which this LVLF corresponds. If fNoRestart is zero, this MUST be ignored. If this level does not have a number sequence (see nfc), this MUST be ignored.

### getGrfhic

    public Grfhic getGrfhic()

  A grfhic that specifies the HTML incompatibilities of the level..

### setGrfhic

    public void setGrfhic(Grfhic field_11_grfhic)

  A grfhic that specifies the HTML incompatibilities of the level..

### setJc

    public void setJc(byte value)

  Sets the jc field value. An unsigned integer that specifies the justification of this level

### getJc

    public byte getJc()

  An unsigned integer that specifies the justification of this level

  Returns:
    the jc field value.

### setFLegal

    public void setFLegal(boolean value)

  Sets the fLegal field value. A bit that specifies whether this level overrides the nfc of all inherited level numbers. If the original nfc of a level number is msonfcArabicLZ, it is preserved. Otherwise, the nfc of the level number is overridden by msonfcArabic.

### isFLegal

    public boolean isFLegal()

  A bit that specifies whether this level overrides the nfc of all inherited level numbers. If the original nfc of a level number is msonfcArabicLZ, it is preserved. Otherwise, the nfc of the level number is overridden by msonfcArabic.

  Returns:
    the fLegal field value.

### setFNoRestart

    public void setFNoRestart(boolean value)

  Sets the fNoRestart field value. A bit that specifies whether the number sequence of the level does not restart after a level is encountered that is more significant than the level to which this LVLF corresponds

### isFNoRestart

    public boolean isFNoRestart()

  A bit that specifies whether the number sequence of the level does not restart after a level is encountered that is more significant than the level to which this LVLF corresponds

  Returns:
    the fNoRestart field value.

### setFIndentSav

    public void setFIndentSav(boolean value)

  Sets the fIndentSav field value. A bit that specifies whether the level indented the text it was applied to and that the indent needs to be removed when numbering is removed. The indent to be removed is stored in dxaIndentSav

### isFIndentSav

    public boolean isFIndentSav()

  A bit that specifies whether the level indented the text it was applied to and that the indent needs to be removed when numbering is removed. The indent to be removed is stored in dxaIndentSav

  Returns:
    the fIndentSav field value.

### setFConverted

    public void setFConverted(boolean value)

  Sets the fConverted field value. A bit that specifies whether the nfc of this LVLF structure was previously a temporary value used for bidirectional compatibility that was converted into a standard MSONFC

### isFConverted

    public boolean isFConverted()

  A bit that specifies whether the nfc of this LVLF structure was previously a temporary value used for bidirectional compatibility that was converted into a standard MSONFC

  Returns:
    the fConverted field value.

### setUnused1

    public void setUnused1(boolean value)

  Sets the unused1 field value. This bit MUST be ignored

### isUnused1

    public boolean isUnused1()

  Deprecated. This field should not be used according to specification

  This bit MUST be ignored

  Returns:
    the unused1 field value.

### setFTentative

    public void setFTentative(boolean value)

  Sets the fTentative field value. A bit that specifies whether the format of the level is tentative

### isFTentative

    public boolean isFTentative()

  A bit that specifies whether the format of the level is tentative

  Returns:
    the fTentative field value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD